#if 0

#########################################
#                                       #
#   CritLoops for Java                  #
#                                       #
#   Makefile.java                       #
#                                       #
#   Change JDIR, JDK and JAVA below as  #
#   necessary and issue the command:    #
#                                       #
#       nmake /f Makefile.java          #
#                                       #
#   Notice that this is nmake from      #
#   Microsoft.  Sun does not provide    #
#   a make tool with Java.              #
#                                       #
#########################################

CDIR= .

ODIR=.\obj

!IF "$(OS)" == "Windows_NT"
DEVNULL=
!ELSE
DEVNULL=nul
!ENDIF
JDIR=C:\Program Files\Java
JDK=$(JDIR)\jdk1.6.0_15
JC="$(JDK)\bin\javac.exe"
JAR="$(JDK)\bin\jar.exe"
JAVA="$(JDIR)\jre6\bin\java.exe"

COMMON_FLAGS=
JFLAGS=$(COMMON_FLAGS) -g:none

# Makefile verbose setting

QUIET = @
# QUIET =

TGTAPP = ob_java.jar

ALLAPPS = $(TGTAPP)

ALL : $(ALLAPPS)

CLEAN :
  -$(QUIET)echo y | erase "$(ODIR)\*.class"
  -$(QUIET)erase "$(ODIR)\jarit.bat"

$(TGTAPP) : $(ODIR)\Bench.class $(ODIR)\manifest.mf Makefile.java
  $(QUIET)echo Archiving $(TGTAPP)
  $(QUIET)echo $(QUIET)cd $(ODIR) > $(ODIR)\jarit.bat
  $(QUIET)echo $(QUIET)$(JAR) -cfm $(TGTAPP) manifest.mf *.class >> $(ODIR)\jarit.bat
  $(QUIET)echo $(QUIET)cd .. >> $(ODIR)\jarit.bat
  $(QUIET)echo $(QUIET)move $(ODIR)\$(TGTAPP) $(CDIR) >> $(ODIR)\jarit.bat
  $(QUIET)$(ODIR)\jarit.bat

RUN : $(TGTAPP)
  $(QUIET)echo Running Bench
  $(QUIET)$(JAVA) -XX:CompileThreshold=50 -jar $(TGTAPP) "Sun Java JDK 1.6.0.15"

"$(ODIR)" :
  $(QUIET)if not exist "$(ODIR)/$(DEVNULL)" mkdir "$(ODIR)"

$(ODIR)\Bench.class : Bench.java
  $(QUIET)echo Compiling $*
  $(QUIET)$(JC) $(JFLAGS) Bench.java -d $(ODIR)\

$(ODIR)\manifest.mf: Makefile.java
  $(QUIET)echo Manifest-Version: 1.2 > $(ODIR)\manifest.mf
  $(QUIET)echo Main-Class: Bench >> $(ODIR)\manifest.mf

# Compile rule

# .java.class::
#  $(JC) $(JFLAGS) $< 

# Dependencies

#endif
